
/* ---- Variables ---- */

:root {
  --bleu-locmat: #0068B0;
  --indisponible: #AA0D9E;
  --indisponible2: #aa0d9d27;
  --confirme: #27C100;
  --en-attente: #FF8A02;
  --accepte: #CCCC33;
  --refuse: #E81417;
  --absent: #336666;
  --gris-annule: #C0C0C0;
  --signe: #27C100;
  --blanc: #fff;
  --gris-leger: #f5f5f5;
  --bleu-footer: #0a3866;
  --bleu-ciel-dropdown-menu: #36b9cc;
  --conflit: #FFCC00;
  --gris-indispo: #d0d0d0;
  --gris: #bdbdbd;
  --noir: #333333;
}

/* ---- Fin variables ---- */

/* ---- Boutons ---- */
.bouton,
.bouton a {
  text-decoration: none;
  color: var(--blanc);
  padding: 15px;
  border-radius: 10px;
  background-color: var(--bleu-locmat);
  width: fit-content;
  height: fit-content;
  font-size: 15px;
  font-weight: bold;
  border: none;
  cursor: pointer;
}

.bouton_retour {
  margin-top: 40px;
}

.calendar_date {
  margin-bottom: 10px;
  background-color: #ffffff;
  border: 1px solid #ccc;
  border-radius: 8px;
  padding: 5px 10px;
  color: #333;
  cursor: pointer;
  outline: none;
  transition: border-color 0.3s ease;
}

.calendar_date_filtre {
  width: 90%;
  margin-left: auto;
  margin-right: auto;
}

/* ---- Fin Boutons ---- */

body {
  font-family: "Nunito", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  margin: 0;
  height: 100vh;
  display: flex;
  flex-direction: column;
  background-color: var(--gris-leger);
}

.body_index {
  background-image: url('../img/wallpaper_photo_tournage.jpg');
  background-size: cover;
  background-position: bottom;
}

.contenu {
  padding-top: 80px;
  padding-bottom: 50px;
  width: 93%;
  margin-left: auto;
  margin-right: auto;
  flex: 1 0 auto;
  transition: 0.5s;
  min-height: 100vh;
}

.contenu_login {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--bleu-locmat);
}

.loader {
  position: fixed;
  width: 100%;
  height: 100%;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 11;
}

.loader::after {
  content: "";
  width: 75px;
  height: 75px;
  border: 5px solid #dddddd;
  border-top-color: var(--bleu-locmat);
  border-radius: 50%;
  animation: loading 0.75s ease infinite;
}

.loadermdp {
  position: fixed;
  width: 100%;
  height: 100%;
  margin-left: auto;
  margin-right: auto;
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 11;
}

.loadermdp::after {
  content: "";
  width: 75px;
  height: 75px;
  border: 5px solid #dddddd;
  border-top-color: var(--bleu-locmat);
  border-radius: 50%;
  animation: loading 0.75s ease infinite;
}

.aucun-element {
  text-align: center;
  font-weight: 600;
  border: 1px solid #f1c40f;
  background-color: #fff8e1;
  color: #a87f00;
  padding: 10px;
  border-radius: 10px;
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
}

@keyframes loading {
  from {
    transform: rotate(0turn);
  }

  to {
    transform: rotate(1turn);
  }
}

/* ---- page de login ---- */

.login {
  position: absolute;
  justify-content: center;
  background-color: var(--blanc);
  width: 400px;
  margin-left: auto;
  margin-right: auto;
  padding: 40px;
  border-radius: 20px;
  text-align: center;
}

.logo_login img {
  max-width: 300px;
  max-height: 150px;
}

.champs_login {
  margin-top: 50px;
  display: flex;
  flex-direction: column;
}

.champs_connexion {
  margin-bottom: 10px;
  padding: 10px;
  background-color: var(--blanc);
  border: none;
  border-bottom: 1.5px solid var(--bleu-locmat);
  outline: none;
}

.error_message {
  color: var(--refuse);
  font-weight: bolder;
}

.mdp_oublie {
  margin-top: 30px;
}

#oublie {
  color: var(--bleu-locmat);
}

/* ---- fin page de login ---- */

/* ---- page d'accueil ---- */

.accueil {
  position: relative;
  width: 50%;
  padding: 20px;
  margin-top: 40px;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  border-radius: 20px;
  font-size: larger;
  font-weight: bold;
  color: var(--gris-leger);
  background: transparent;
  backdrop-filter: blur(8px) brightness(1.1);
  border: 2px solid rgba(255, 255, 255, 0.2);
  box-shadow: inset 0 0 8px 1px hsl(0, 0%, 100%, 0.2);
}

.accueil label {
  font-size: 2em;
}

.grid-container {
  display: grid;
  grid-template-columns: 35% 65%;
  gap: 0;
  align-items: center;
  margin-top: 10px;
}

.grid-container div {
  padding: 10px;
}

.item1,
.item3,
.item5 {
  text-align: right;
  height: 100%;
}

.item2,
.item4,
.item6 {
  text-align: left;
}

/* ---- fin page d'accueil ---- */

/* ---- navbar ---- */

.sidebar, #sidebar-menu-plannings {
  display: none;
}

.navbar {
  width: 100%;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px;
  height: 80px;
  background-color: var(--blanc);
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 10;
  position: fixed;
  padding: 0 35px;
  left: 0%;
  border-top: none;
}

.navbar_btn{
  display: flex;
  align-items: center;
  gap: 20px;
}

.navbar_btn a {
  text-decoration: none;
  color: var(--bleu-locmat);
  font-weight: 600;
  cursor: pointer;
}

.navbar_btn a:hover {
  transition: 0.2s;
  transform: scale(1.1);
}

.burger {
  display: none;
}

.logo_navbar img {
  max-width: 200px;
  height: 75px;
}

/* ---- fin navbar ---- */

/* ---- sous menu planning / logistique ----  */

.dropdown-menu-nav {
  position: fixed;
  display: block;
  opacity: 0;
  transform: translateY(-100%);
  background-color: var(--blanc);
  border: solid 1px var(--bleu-locmat);
  border-top: none;
  width: auto;
  height: auto;
  z-index: 9;
  transition: 0.2s ease-in-out;
}

.dropdown-menu-nav a {
  display: block;
  color: var(--noir);
  text-decoration: none;
  padding: 10px;
  padding-right: 30px;
  border-bottom: 1px solid var(--gris);
}

.dropdown-menu-nav a:last-of-type {
  border-bottom: none;
}

.dropdown-menu-items a:hover {
  background-color: var(--bleu-locmat);
  color: var(--blanc);
}

/* ---- fin sous menu planning / logistique ----  */

/* ---- champ recherche ----  */

.zone_recherche {
  width: 100%;
  margin-bottom: 10px;
  display: flex;
  justify-content: space-between;
}

.input-search {
  padding: 10px;
  width: 40%;
  outline: none;
  border-radius: 10px;
  border: 1px solid var(--bleu-locmat);
}

.zone_recherche div{
  display: flex;
  gap: 10px;
}

/* ---- fin champ recherche ----  */

/* ---- Filtres ---- */

#statut {
  display: flex;
  background-color: var(--gris-leger);
  flex-direction: column;
  position: fixed;
  right: 0px;
  top: 85px;
  width: 300px;
  transition: 0.5s;
  transition-delay: 0s;
  z-index: 9;
  border-radius: 5px;
  border: 1px solid var(--bleu-locmat);
  padding: 10px;
  overflow-y: auto;
  max-height: 600px;
  transform: translateX(100%);
}

#statut label {
  margin-left: 10px;
  margin-bottom: 5px;
}

#statut select {
  width: 90%;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 10px;
  background-color: #ffffff;
  border: 1px solid #ccc;
  border-radius: 8px;
  padding: 5px 10px;
  color: #333;
  cursor: pointer;
  outline: none;
  transition: border-color 0.3s ease;
}

#statut select:hover {
  border-color: #888;
}

#statut select:focus {
  border-color: #555;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.2);
}

#statut hr {
  margin-top: 0px;
  width: 90%;
  color: var(--bleu-locmat);
}

#statut span,
#statut .close {
  padding: 10px;
  margin: 5px;
}

#statut span:hover,
#statut .close:hover {
  cursor: pointer;
}

#statut span {
  padding-left: 42px;
}

#statut #accepte {
  position: relative;
  display: flex;
  align-items: center;
}

#statut #accepte div {
  position: absolute;
  left: 5px;
  height: 65%;
  border-radius: 50%;
  aspect-ratio: 1/1;
  background-color: var(--accepte);
}

#statut #confirme {
  position: relative;
  display: flex;
  align-items: center;
}

#statut #confirme div {
  position: absolute;
  left: 5px;
  height: 65%;
  border-radius: 50%;
  aspect-ratio: 1/1;
  background-color: var(--confirme);
}

#statut #indisponible {
  position: relative;
  display: flex;
  align-items: center;
}

#statut #indisponible div {
  position: absolute;
  left: 5px;
  height: 65%;
  border-radius: 50%;
  aspect-ratio: 1/1;
  background-color: var(--indisponible)
}

#statut #refuse {
  position: relative;
  display: flex;
  align-items: center;
}

#statut #refuse div {
  position: absolute;
  left: 5px;
  height: 65%;
  border-radius: 50%;
  aspect-ratio: 1/1;
  background-color: var(--refuse);
}

#statut #en-attente {
  position: relative;
  display: flex;
  align-items: center;
}

#statut #en-attente div {
  position: absolute;
  left: 5px;
  height: 65%;
  border-radius: 50%;
  aspect-ratio: 1/1;
  background-color: var(--en-attente);
}

#statut #absent {
  position: relative;
  display: flex;
  align-items: center;
}

#statut #absent div {
  position: absolute;
  left: 5px;
  height: 65%;
  border-radius: 50%;
  aspect-ratio: 1/1;
  background-color: var(--absent);
}

#statut #annule {
  position: relative;
  display: flex;
  align-items: center;
}

#statut #annule div {
  position: absolute;
  left: 5px;
  height: 65%;
  border-radius: 50%;
  aspect-ratio: 1/1;
  background-color: var(--gris-annule);
}

.statut-actif {
  background-color: var(--blanc);
  border: 1px solid var(--bleu-locmat);
  font-weight: bold;
}

#contrat_signe {
  position: relative;
  display: flex;
  align-items: center;
}

#contrat_signe div {
  position: absolute;
  left: 5px;
  height: 80%;
  aspect-ratio: 1/1;
}

#contrat_signe div img {
  height: 100%;
  width: 100%;
}

#contrat_attente {
  position: relative;
  display: flex;
  align-items: center;
}

#contrat_attente div {
  position: absolute;
  left: 5px;
  height: 60%;
  aspect-ratio: 1/1;
}

#contrat_attente div img {
  height: 100%;
}

#contrat_annule {
  position: relative;
  display: flex;
  align-items: center;
}

#contrat_annule div {
  position: absolute;
  left: 5px;
  height: 80%;
  aspect-ratio: 1/1;
}

#contrat_annule div img {
  height: 100%;
  width: 100%;
}

/* ---- fin Filtres ---- */

/* ---- tableaux ----  */

table {
  border-collapse: collapse;
  border: 2px solid var(--bleu-locmat);
  margin-bottom: 30px;
  table-layout: auto;
  width: 100%;
  background-color: var(--blanc);
}

.table_container {
  overflow-x: auto;
  
}

thead tr {
  background-color: var(--bleu-locmat);
  color: var(--blanc);
  text-align: left;
}

th {
  padding: 10px;
  border: 1px solid var(--gris-annule);
}

tbody tr {
  cursor: pointer;
}

tbody tr:hover {
  background-color: #eeeeee;
}

td {
  position: relative;
  padding: 10px;
  border: 1px solid var(--gris-annule);
}

.tableau_propositions td:first-child,
.tableau_avec_puce tr td:first-child {
  width: 0;
}

.puce {
  height: 20px;
  width: 20px;
  border-radius: 30px;
  margin-left: auto;
  margin-right: auto;
}

.td_centrer {
  text-align: center;
}

.tr_none{
  text-align: center;
  padding: 20px 0;
  cursor: default;
}

.tr_none:hover {
  background-color: transparent;
}

/* ---- fin tableaux ----  */

/* ---- page proposition détail ---- */

.statut-detail {
  display: flex;
  margin-bottom: 30px;
  align-items: center;
}

.statut-detail span {
  height: fit-content;
  padding: 8px;
  margin-left: 10px;
  border-radius: 10px;
  white-space: nowrap;
  font-weight: bolder;
}

#chef {
  height: fit-content;
  padding: 8px;
  border-radius: 10px;
  white-space: nowrap;
  background-color: orange;
  font-weight: bolder;
}

.section {
  position: relative;
  border: 1px solid var(--bleu-locmat);
  border-radius: 10px;
  margin-bottom: 30px;
  padding: 15px;
  background-color: var(--blanc);
}

.section legend {
  padding: 0 6px;
  color: var(--bleu-locmat);
  font-weight: bold;
  font-size: larger;
}

.section textarea {
  width: 100%;
  height: 100px;
  resize: none;
  outline: none;
  margin-bottom: 20px;
  margin-top: 10px;
}

.section_declaration {
  display: flex;
  flex-direction: column;
}

.section_declaration span {
  margin-bottom: 20px;
}

/* ---- fin page proposition détail ---- */

/* ---- bouton accepter et refuser proposition ---- */

.section_boutons_accepter_refuser{
  display: flex;
  gap: 10px;
}

.btn-accepter {
  background-color: var(--confirme);
}

.btn-refuser {
  background-color: var(--refuse);
}

/* ---- fin bouton accepter et refuser proposition ---- */

/* ---- page profil ---- */

.profil_mobile_container {
  display: none;
}

.profil {
  width: 60%;
  height: auto;
  padding: 25px;
  margin-top: 20px;
  margin-left: auto;
  margin-right: auto;
  background-color: var(--blanc);
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px;
  border-radius: 10px;
  border: solid 1px var(--bleu-locmat);
}

.profils_left_et_right {
  height: auto;
  display: flex;
  justify-content: space-between;
}

.profil_left,
.profil_right {
  width: 40%;
  height: auto;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.profil_right div:first-of-type {
  margin-bottom: 20px;
}

.profil input {
  width: 100%;
  padding: 15px;
  margin-top: 5px;
  border: 1px solid var(--gris-leger);
  border-radius: 5px;
  background-color: var(--blanc);
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px;
  outline: none;
}

.profil_left div:nth-child(2) div {
  margin-top: 10px;
}

#cochetel {
  width: auto;
  padding: 0;
  border: none;
  border-radius: 0;
  box-shadow: none;
}

.mdp {
  text-align: center;
  margin-top: 40px;
  margin-bottom: 10px;
}

/* ---- fin page profil ---- */

/* ---- mon planning ----  */

.tooltip {
  white-space: nowrap;
  position: absolute;
  display: none;
  background-color: #fff;
  border: 1px solid #ccc;
  padding: 10px;
  border-radius: 5px;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  z-index: 1000;
}

.tooltip button:nth-of-type(1) {
  background-color: var(--bleu-locmat);
}

.tooltip button {
  background-color: var(--refuse);
  padding: 10px;
  border: none;
  border-radius: 10px;
  color: var(--blanc);
  cursor: pointer;
  margin-left: auto;
  margin-right: auto;
  margin-top: 10px;
  font-weight: bold;
}

#tooltip_indispo div:nth-of-type(1) {
  margin-top: 10px;
}

#tooltip_indispo div {
  padding: 3px 0;
}

#tooltip_mesindispos div {
  padding: 5px 5px;
  cursor: pointer;
  border-top: 1px solid var(--gris-annule);
}

#tooltip_mesindispos div:nth-of-type(1) {
  margin-top: 10px;
}

#tooltip_mesindispos div:hover {
  background-color: #f0f0f0;
}

* {
  box-sizing: border-box;
}

.calendar {
  width: auto;
  margin-top: 20px;
  background-color: var(--blanc);
  border: 1px solid #ccc;
  border-bottom: none;
  border-radius: 5px;
  border-bottom: none;
}

.month {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
  background-color: var(--bleu-locmat);
  color: white;
  font-size: large;
}

.weekdays,
.days {
  display: flex;
  flex-wrap: wrap;
  text-decoration: none;
  color: black;
}

.weekday,
.day {
  width: 14.28%;
  text-align: center;
  padding: 10px 0;
  border-right: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
}

.weekday {
  font-weight: bold;
}

.weekdays {
  background-color: var(--bleu-locmat);
  color: var(--blanc);
  border-top: 1px solid #ccc;
  font-weight: bold;
}

.day {
  background-color: var(--blanc);
  position: relative;
}

#table_planning {
  margin-top: 20px;
  display: none;
}

#table_planning td:nth-child(3),
#table_planning td:nth-child(3) {
  width: 0;
  text-align: left;
  white-space: nowrap;
}

.current-day {
  color: red;
  font-weight: bold;
}

#indisponibilites-day {
  background: repeating-linear-gradient(-30deg,
      var(--blanc),
      var(--blanc) 10px,
      var(--indisponible2) 10px,
      var(--indisponible2) 20px);
  cursor: pointer;
  font-weight: bold;
}

#conflit {
  background-color: var(--conflit);
  cursor: pointer;
}

#confirme-day {
  background-color: var(--confirme);
}

#confirme-day a {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

#en-attente-day {
  background-color: var(--en-attente);
}

#en-attente-day a {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

#accepte-day {
  background-color: var(--accepte);
}

#accepte-day a {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

.grayed {
  background-color: var(--gris-leger);
  color: #a0a0a0;
}

.weekdays div:last-child,
.days div:nth-child(7n) {
  border-right: none;
}

.prev,
.next {
  cursor: pointer;
  width: 35px;
  height: 35px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.indisponibilites {
  display: flex;
  position: relative;
  width: 100%;
  border: 1px solid var(--bleu-locmat);
  border-radius: 10px;
  margin-top: 40px;
  padding: 10px;
  padding-top: 30px;
  justify-content: space-between;
}

.indisponibilites input {
  height: min-content;
  margin-left: 5px;
}

.indisponibilites h2 {
  position: absolute;
  top: -38px;
  background-color: var(--blanc);
  color: var(--bleu-locmat);
  padding: 0 10px 0 10px;
}

.indisponibilites select {
  margin-bottom: 10px;
}

.indisponibilites>div:last-child {
  height: min-content;
  display: flex;
  margin-left: 10px;
}

.indisponibilites button {
  display: flex;
  margin-left: 10px;
}

.indisponibilites span:last-child {
  display: none;
  color: var(--refuse);
  font-weight: bold;
  margin-top: 10px;
  justify-content: center;
  max-width: 100%;
  overflow-wrap: break-word
}

/* ---- fin mon planning ----  */

/* ---- footer ---- */

footer {
  width: 100%;
  height: 70px;
  display: flex;
  justify-content: space-between;
  background-color: var(--bleu-footer);
  flex-shrink: 0;
  font-size: 12px;
  color: var(--blanc);
}

footer a {
  text-decoration: none;
  color: var(--blanc);
}

.footer-copyright {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  text-align: right;
  justify-content: center;
}

.footer-copyright span {
  margin-bottom: 5px;
}

.footer-logo {
  width: 60%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.footer-logo img {
  width: 125px;
}

.footer-contact {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.footer-contact img {
  width: 25px;
  margin-right: 5px;
  margin-bottom: 5px;
}

/* ---- fin Footer ---- */

/* ---- Modification mot de passe ---- */

.mdp_box {
  width: 40%;
  height: auto;
  padding: 25px;
  margin-top: 20px;
  margin-left: auto;
  margin-right: auto;
  background-color: var(--blanc);
  border-radius: 10px;
  border: solid 1px var(--bleu-locmat);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px;
}

.mdp_box span {
  margin-bottom: 20px;
  font-size: 14px;
}

.modif_mdp {
  height: 100%;
  margin-bottom: 20px;
  position: relative;
}

.modif_mdp input, .confirmer_mdp input {
  width: 100%;
  padding: 15px;
  border: 1px solid var(--gris-leger);
  border-radius: 5px;
  background-color: var(--blanc);
  box-shadow: rgba(0, 0, 0, 0.15) 0px 2px 4px;
  outline: none;
}

.mdp_box button {
  width: 30%;
  margin-top: 20px;
  margin-left: auto;
  margin-right: auto;
}

.modif_mdp img {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translate(-50%, -50%);
}

#modifMdpOK {
  color: var(--confirme);
  font-weight: bolder;
  margin-left: auto;
  margin-right: auto;
}

/* ---- fin Modification mot de passe ---- */

/* ---- page dossiers ---- */

.folder {
  margin-bottom: 20px;
  width: fit-content;
}

.folder span {
  cursor: pointer;
  font-size: large;
  font-weight: bold;
}

.folder span img {
  margin-right: 5px;
  vertical-align: middle;
  margin-top: -5px;
}

.file {
  color: var(--bleu-locmat);
  font-weight: none;
  margin-bottom: 5px;
}

.file span {
  font-size: medium;
  font-weight: normal;
  cursor: default;
}

.file img {
  margin-left: 10px;
  cursor: pointer;
  vertical-align: middle;
  margin-top: -5px;
}

.children {
  border-left: 1px solid #9e9d9d;
  margin-left: 25px;
  margin-top: 5px;
  padding-left: 10px;
  display: none;
}

.children .folder {
  margin-bottom: 10px;
}

/* ---- fin page dossiers ---- */

/* -------- Contrats -------- */

#tableau-contrat th:nth-child(-n+3),
#tableau-contrat td:nth-child(-n+3) {
  width: 0;
  text-align: left;
  white-space: nowrap;
}

#tableau-contrat th:nth-child(-n+3) {
  text-align: center;
}

#tableau-contrat td:last-of-type {
  text-align: right;
}

/* -------- fin Contrats -------- */

/* ---- ContratSignature.shtml ---- */

#pdf_display {
  align-items: center;
  display: flex;
  flex-direction: column;
}

#pdf_display canvas {
  margin-top: 20px;
  width: 50%;
  height: 50%;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.container {
  display: flex;
}

.pdf {
  width: 150%;
  height: auto;
}

#pdfContainer {
  display: flex;
  flex-direction: column;
}

#pdfContainer canvas {
  width: 60%;
  margin-top: 20px;
  border: solid 1px var(--bleu-locmat);
  margin-left: auto;
  margin-right: auto;
}

#pdfControls {
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
  margin-top: 20px;
}

#pageInfo {
  margin: 0 10px;
}

.sign {
  width: fit-content;
  height: auto;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  margin-left: auto;
  margin-right: auto;
  margin-top: 40px;
}

.sign canvas {
  border: 1px solid var(--bleu-locmat);
  margin-bottom: 20px;
  background-color: var(--blanc);
}

.sign div {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}

#prevPage,
#nextPage {
  padding: 10px;
}

/* ---- fin ContratSignature.shtml ---- */

/* ---- page gestion personnel ---- */

#tableau_gestionPersonnel td {
  width: 0;
  cursor: default;
}

#tableau_gestionPersonnel tbody tr:hover {
  background-color: transparent;
}

#tableau_gestionPersonnel td:last-of-type {
  text-align: right;
}

#tableau_gestionPersonnel td:nth-of-type(2),
#tableau_gestionPersonnel td:nth-of-type(4) {
  text-align: center;
}

/* ---- fin page gestion personnel ---- */

/* ---- Disponibilité article ---- */

.article_container {
  border: 1px solid var(--bleu-locmat);
  border-radius: 10px;
  position: relative;
  padding: 20px;
  max-width: 500px;
  margin-left: auto;
  margin-right: auto;
  background-color: var(--blanc);
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px;
}

.article_container>div {
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
}

.article_container>.suggestions {
  width: calc(100% - 40px);
  max-height: calc(100% - 70px);
}

#articlenom {
  padding: 10px;
  width: 100%;
  outline: none;
  border-radius: 10px;
  border: 1px solid var(--bleu-locmat);
}

#articlelieu {
  margin-top: 20px;
}

.articledatedeb,
.article_btn {
  margin-top: 20px;
}

.articledatefin {
  margin-top: 10px;
}

#result_article {
  margin-top: 20px;
  font-weight: bold;
  color: var(--refuse);
  text-align: center;
}

.suggestions {
  display: none;
  border: 1px solid var(--gris-annule);
  border-radius: 5px;
  background-color: var(--blanc);
  overflow-y: auto;
  position: absolute;
  z-index: 9;
}

.suggestions div {
  width: 100%;
  padding: 8px;
  cursor: pointer;
}

.suggestions div:hover {
  background-color: #f0f0f0;
}

/* ---- Disponibilité article ---- */

/* ---- Planning Gestion / Personnel / Devis ---- */

.plan_filtre label {
  font-weight: bold;
}

#gest_name,
#pers_name,
#affaire_name {
  width: 100%;
  padding: 8px 10px;
  border-radius: 100px;
  border: 1px solid var(--bleu-locmat);
  outline: none;
  cursor: pointer;
}

.plan_filtre_section {
  width: 100%;
  margin-bottom: 10px;
  display: flex;
  flex-direction: column;
  margin-top: 10px;
}

.plan_filtre_section label {
  font-weight: normal;
}

.plan_filtre_section div {
  margin-bottom: 5px;
}

.planning_filtre {
  width: 100%;
  display: flex;
  justify-content: end;
}

.planning_filtre_devis {
  justify-content: space-between;
}

.majauto {
  width: 60px;
}

#span_majauto {
  display: none;
}

.detail_gest,
.detail_pers {
  width: auto;
  max-height: 500px;
  padding: 10px;
  position: absolute;
  z-index: 11;
  display: none;
  overflow-y: auto;
  background-color: #fff;
  border: 1px solid #ccc;
  border-radius: 5px;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.detail_gest div,
.detail_pers div {
  margin-bottom: 5px;
}

.detail_tache {
  margin-top: 10px;
}

.detail_personnel {
  margin-left: 10px;
  line-height: 25px;
  padding-bottom: 15px;
}

.planning {
  width: auto;
  margin-top: 20px;
  background-color: var(--blanc);
  border: 1px solid #ccc;
  border-radius: 5px;
}

.plan_container_aff {
  display: flex;
}

.plan_semaine,
.plan_row {
  display: flex;
  width: 100%;
}

.plan_semaine {
  background-color: var(--bleu-locmat);
  color: var(--blanc);
}

.plan_row {
  border-top: 0.5px solid #ccc;
}

.plan_row_aff {
  flex: 1;
  background-color: var(--gris-leger);
  border-right: 1px solid #ccc;
  overflow: hidden;
  text-overflow: ellipsis;
}

.plan_row_aff:last-of-type {
  border-right: none;
}

.plan_jour,
.plan_jour_affaires {
  flex: 1;
  text-align: center;
  padding: 10px 2px;
  border: 0.5px solid #ccc;
  background-color: var(--bleu-locmat);
  font-weight: bold;
  overflow: hidden;
  text-overflow: ellipsis;
}

.plan_jour:first-child {
  flex: 1.5;
}

.plan_case {
  flex: 1;
  overflow: hidden;
  border-right: 1px solid #ccc;
  background-color: var(--blanc);
  position: relative;
  display: flex;
  flex-direction: column;
}

.plan_case:last-of-type {
  border-right: none;
}

.plan_case_aff {
  overflow: hidden;
  min-height: 25px;
  padding: 2px;
}

.plan_col_aff {
  margin-bottom: 25px;
}

.plan_col_aff:last-of-type {
  margin-bottom: 0px;
}

.plan_case_devis {
  flex-direction: row;
}

.plan_case:first-child {
  flex: 1.5;
  display: flex;
  text-align: left;
  justify-content: center;
}

.bloc {
  height: 30px;
  border: 0.5px solid black;
  line-height: 25px;
  overflow-x: hidden;
  cursor: pointer;
}

.plan_header {
  width: 100%;
  height: 50px;
  background-color: var(--bleu-locmat);
  border-bottom: 0.5px solid #ccc;
  display: flex;
  justify-content: space-between;
  color: white;
  font-size: large;
  align-items: center;
  padding: 20px;
}

.plan_filtre_date {
  display: flex;
}


.statut_btn_rech {
  background-color: var(--gris-leger);
  position: sticky;
  bottom: -10px;
  display: flex;
  justify-content: center;
  margin: -10px;
  padding: 10px;
  border-top: 1px solid var(--bleu-locmat);
}

.plan_horaire {
  width: 100%;
  height: 30px;
  display: flex;
}

.plan_horaire_jour {
  flex: 1;
  width: 100%;
  height: auto;
  display: flex;
  background-color: var(--gris-leger);
}

.plan_horaire_jour:first-child {
  flex: 1.5;
}

.tranche_horaire {
  position: relative;
  flex: 1;
  width: 100%;
  height: auto;
  border: 0.5px solid #ccc;
}

.tranche_horaire span {
  position: absolute;
  background-color: var(--gris-leger);
  top: 0;
  right: -12%;
  z-index: 8;
  font-size: 12px;
  padding-top: 5px;
}

.couleurStatut,
.couleurEtape {
  height: 20px;
  aspect-ratio: 1/1;
  margin-left: 5px;
  margin-right: 5px;
}

#detail_pers_qr img {
  height: 100px;
  aspect-ratio: 1/1;
}

.detail_horaire {
  line-height: 20px;
  padding-bottom: 5px;
  margin-left: 10px;
}

#devis_filtre_typeaffaire div,
#pers_filtre_statuts div,
#gest_filtre_etapes div {
  display: flex;
}

/* ---- fin Planning Gestion / Personnel / Devis ---- */

/* ---- Affaires / devis etc ---- */

.GP,
.SG {
  font-weight: bold;
}

.td_SG {
  padding-left: 20px;
}

.td_autre_type {
  padding-left: 40px;
}

.lignekit {
  padding-left: 60px;
}

.lignekit::before {
  content: "- ";
}

.td_numerique {
  text-align: right;
}

.lignedetail p {
  font-weight: bold;
}

.lignedetail span {
  font-weight: normal;
}

.lignedetail input {
  padding: 5px;
  margin-top: 5px;
  border: 1px solid var(--bleu-locmat);
  border-radius: 5px;
  background-color: var(--blanc);
}

.lignedetail div:last-of-type {
  margin-top: 40px;
}

.lignedetail div:last-of-type a {
  margin-right: 5px;
}

#lbl_dates select,
#lbp_dates select,
#ld_dates select {
  margin-left: 10px;
}

.ligne_modif_numerique {
  text-align: right;
}

#tbodybis td {
  text-align: right;
}

.btn_ld{
  display: flex;
  align-items: center;
}

.btn_ld span, .blocked {
  height: fit-content;
  width: fit-content;
  padding: 8px;
  margin-left: 10px;
  border-radius: 12px;
  white-space: nowrap;
  font-weight: bold;
}

.btn_ld span {
  border: 1px solid #f1c40f;
  background-color: #fff8e1;
  color: #a87f00;
}

.blocked {
  border: 1px solid #ff4d4f;
  background-color: #fff1f0;
  color: #a8071a;
  box-shadow: 0 2px 6px rgba(255, 77, 79, 0.2);
}

/* ---- fin Affaires / devis etc ---- */

/* ---- Articles à cocher ---- */

.cocher_kit{
  margin-bottom: 10px;
}

.container_articles_a_cocher {
  width: 100%;
  border: 1px solid var(--bleu-locmat);
  background-color: var(--blanc);
}

.container_articles_a_cocher .article_a_cocher:nth-child(even) {
  background-color: var(--gris-leger);
}

.article_a_cocher {
  width: 100%;
  height: 100px;
  display: flex;
  cursor: pointer;
  font-size: 16pt;
  border-bottom: 1px solid var(--gris-annule);
}

.article_a_cocher:last-of-type {
  border-bottom: none;
}

.aac1 {
  width: 100%;
  padding: 5px;
  display: block;
  align-items: center;
  justify-content: center;
}

.aac1 span {
  font-weight: bold;
  display: block;
}

.aac2 {
  width: 30%;
  height: 100%;
  display: flex;
}

.aac2 div {
  width: 100%;
  height: 100%;
  border-left: 1px solid var(--gris-annule);
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 5px;
}

.popup_comment, .popup_confirm {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #fff;
  border: 1px solid #ccc;
  padding: 10px;
  border-radius: 5px;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  z-index: 1000;
  width: fit-content;
  min-width: 250px;
}

.popup_comment span, .popup_confirm span {
  font-weight: bold;
}

.popup_comment div, .popup_confirm div {
  margin-top: 10px;
}

.popup_comment div:last-child, .popup_confirm div:last-child{
  display: flex;
  justify-content: flex-end;
  gap: 10px;
}

.popup_comment button, .popup_confirm button {
  padding: 10px;
  margin-top: 20px;
  justify-content: right;
}

/* ---- fin Articles à cocher ---- */


/* ----------------------------------- format mobile --------------------------------  */

@media (max-width: 800px) {

  .contenu {
    padding-top: 60px;
    font-size: 14px;
    transition: 0.5s;
  }

  /* ---- Boutons ---- */
  .bouton,
  .bouton a {
    padding: 10px;
    font-size: unset;
    white-space: nowrap;
  }

  .bouton_retour {
    margin-top: 40px;
  }

  /* ---- Fin Boutons ---- */

  /* ---- page login pour mobile ---- */

  .login {
    width: 90%;
    max-width: 400px;
    padding: 20px;
  }

  .logo_login img {
    max-width: 250px;
    max-height: 150px;
  }

  /* ---- page d'accueil mobile ---- */

  .accueil {
    height: 60%;
    width: fit-content;
    font-size: large;
  }

  /* ---- navbar pour mobile ---- */

  .navbar {
    height: 60px;
    justify-content: center;
    width: 100%;
  }

  .navbar_btn {
    display: none;
  }

  .burger {
    display: block;
    position: absolute;
    width: 40px;
    left: 20px;
  }

  .logo_navbar {
    position: absolute;
  }

  .logo_navbar img {
    max-width: 120px;
    height: 55px;
  }

  .img_profil {
    display: none;
  }

  /* ---- sidebar ----  */

  .sidebar {
    display: block;
    position: fixed;
    background-color: var(--bleu-locmat);
    margin-top: 60px;
    width: auto;
    min-width: 60%;
    height: calc(100vh - 60px);
    transform: translateX(-100%);
    transition: 0.3s;
    transition-delay: 0s;
    z-index: 10;
    overflow-y: auto;
  }

  .sidebar a {
    display: block;
    color: var(--blanc);
    text-decoration: none;
    padding-left: 20px;
    padding: 10px;
    margin-top: 10px;
    text-align: right;
  }

  #sidebar-menu-plannings {
    display: block;
  }

   /* ------- Sous-menu animé ------- */
  .submenu {
    overflow: hidden;
    max-height: 0;
    transition: max-height 0.3s ease-in-out;
    background-color: var(--gris-leger);
    border-right: 1px solid var(--gris);
  }

  .submenu.open {
    max-height: 500px;
  }

  .submenu a {
    font-size: 15px;
    padding-left: 15px;
    color: var(--bleu-locmat);
    border-bottom: 1px solid var(--gris);
    margin-top: 0px;
  }

  .submenu a:first-of-type{
    border-top: 1px solid var(--gris);
  }

  /* ------- Flèche du bouton -------- */
  .submenu-btn::after {
    content: "▼";
    float: right;
    transition: transform 0.3s ease-in-out;
    margin-left: 10px;
  }

  .submenu-btn.active::after {
    transform: rotate(180deg);
  }

  /* ---- tableaux ----  */

  table {
    font-size: 12px;
  }

  th,
  td {
    padding: 5px;
  }

  tbody tr:nth-child(even) {
    background-color: var(--gris-leger);
  }

  td {
    min-width: 25px;
  }

  .puce {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    border-radius: 0;
  }

  .td_SG {
    padding-left: 15px;
  }

  .td_autre_type {
    padding-left: 20px;
  }

  /* ---- page proposition détail ---- */

  .section {
    margin-top: 25px;
  }

  .section textarea {
    width: 100%;
    height: 150px;
  }

  /* ---- bouton accepter et refuser proposition ---- */

  .section_boutons_accepter_refuser {
    display: flex;
    justify-content: center;
    gap: 10px;
  }

  .btn-accepter,
  .btn-refuser {
    font-size: 12px;
  }

  /* ---- page profil ---- */

  .profil {
    display: none;
  }

  .profil_mobile_container {
    display: block;
    width: 95%;
    max-width: 600px;
    height: min-content;
    padding: 10px;
    margin-top: 20px;
    margin-left: auto;
    margin-right: auto;
    background-color: var(--gris-leger);
    border-radius: 10px;
    border: solid 1px var(--bleu-locmat);
  }

  .profil_mobile {
    max-width: 600px;
    margin-left: auto;
    margin-right: auto;
  }

  .profil_mobile input {
    width: 100%;
    padding: 10px;
    margin-top: 5px;
    margin-bottom: 20px;
    border: none;
    border-radius: 5px;
    background-color: var(--blanc);
    box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px;
  }

  .profil_mobile button {
    width: 100%;
    max-width: 250px;
    display: flex;
    margin-left: auto;
    margin-right: auto;
    justify-content: center;
  }

  .adresse {
    margin-bottom: 20px;
  }

  .adresse input {
    margin-bottom: 1px;
  }

  /* ---- champs recherche ----  */

  .input-search {
    padding: 10px;
  }

  #statut {
    top: 62px;
    width: 60%;
    max-width: 250px;
    height: 80%;
    padding: 5px;
  }

  /* ---- footer ---- */

  footer {
    height: 60px;
    font-size: 10px;
  }

  .footer-copyright {
    text-align: center;
  }

  .footer-logo {
    padding: 5px;
  }

  .footer-logo img {
    width: 90px;
  }

  .footer-contact {
    text-align: center;
  }

  .footer-contact img {
    width: 20px;
  }

  /* ---- Modification mot de passe ---- */

  .mdp_box {
    width: 95%;
    padding: 10px;
  }

  .mdp_box button {
    width: 50%;
  }

  /* ---- Planning ---- */

  .month {
    padding: 10px;
  }

  .prev,
  .next {
    width: 30px;
    height: 30px;
  }

  #indisponibilites-day {
    background: repeating-linear-gradient(-30deg,
        var(--blanc),
        var(--blanc) 8px,
        var(--indisponible2) 8px,
        var(--indisponible2) 13px);
  }

  .indisponibilites {
    display: block;
    width: 100%;
  }

  .indisponibilites input {
    height: min-content;
    width: 100%;
    margin-left: 0px;
    margin-bottom: 10px;
  }

  .indisponibilites h2 {
    position: absolute;
    top: -38px;
    background-color: var(--blanc);
    color: var(--bleu-locmat);
    padding: 0 10px 0 10px;
  }

  .indisponibilites>div:first-of-type {
    margin-left: 0px;
  }

  .indisponibilites>div:nth-of-type(2) {
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;
    border-bottom: 1px solid var(--bleu-locmat);
  }

  .indisponibilites>div:nth-of-type(3) {
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;
  }

  .indisponibilites select {
    margin-bottom: 10px;
  }

  .indisponibilites>div:last-child {
    margin-top: 20px;
    height: min-content;
    display: flex;
  }

  .indisponibilites button {
    display: flex;
    width: fit-content;
    height: fit-content;
    margin-left: auto;
    margin-right: auto;
    padding: 15px;
    border: none;
    border-radius: 10px;
    background-color: var(--bleu-locmat);
    color: var(--blanc);
    cursor: pointer;
    font-size: 15px;
    font-weight: bold;
    text-decoration: none;
  }

  .indisponibilites span:last-child {
    display: none;
    color: var(--refuse);
    font-weight: bold;
    margin-top: 10px;
    justify-content: center;
    max-width: 100%;
    overflow-wrap: break-word
  }

  /* ---- ContratSignature.shtml ---- */

  #chemin {
    display: flex;
    flex-direction: column;
  }

  .container {
    flex-direction: column;
  }

  .pdf {
    width: 100%;
  }

  #pdfContainer canvas {
    width: 100%;
  }

  .sign canvas {
    margin-bottom: 0px;
    margin-left: auto;
    margin-right: auto;
  }

  .sign button {
    margin-top: 10px;
  }

  /* ---- ContratDetail.shtml ---- */

  #pdf_display canvas {
    width: 100%;
    height: 100%;
  }

  /* ---- gestion personnel ----*/

  #tableau_gestionPersonnel td:nth-of-type(3) {
    white-space: nowrap;
  }

  .statut-detail {
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
    align-items: unset;
  }

  .statut-detail span {
    width: fit-content;
    margin-bottom: 5px;
    margin-left: 0px;
  }

  /* ---- Disponibilité article ---- */

  .article_container div {
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
  }

  #articlenom {
    width: 100%;
  }

  #result_article {
    margin-left: auto;
    margin-right: auto;
  }

  .article_container .suggestions div {
    margin-left: 0;
  }

  /* ---- Planning Gestion / Personnel ---- */

  .planning {
    font-size: 10px;
  }

  .plan_jour {
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .plan_case:first-child {
    max-height: 100px;
    overflow: auto;
    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    font-size: 8pt;
  }

  .plan_horaire {
    height: 25px;
  }

  .tranche_horaire span {
    right: -30%;
    font-size: 8px;
    padding-top: 8px;
  }

  .detail_gest,
  .detail_pers {
    max-width: 300px;
  }

  .detail_personnel {
    line-height: 20px;
  }


  /* ---- menu déroulant ---- */

  #dropdown-menu,
  #dropdown-menu-planning,
  #dropdown-menu-logistique {
    display: none;
  }

  .lignedetail div:last-of-type a:first-of-type {
    margin-right: 0px;
  }

  /* ---- PDF ---- */

  .sign div {
    display: flex;
    justify-content: center;
    margin-bottom: 0px;
    gap: 20px;
  }

  /* ---- Articles à cocher ---- */

  .article_a_cocher {
    min-height: 60px;
    height: auto;
    font-size: unset;
  }

  .aac1 {
    width: 60%;
  }

  .aac1 span {
    font-weight: bold;
    display: block;
  }

  .aac2 {
    width: 40%;
    height: auto;
    display: flex;
  }

  .aac2 img {
    width: 18px;
  }

  .popup_comment,
  .popup_confirm {
    max-width: 95%;
  }

  /* ---- fin Articles à cocher ---- */

}